# Created by pyp2rpm-3.3.2
%global pypi_name termcolor

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 5
Summary:        ANSII Color formatting for output in terminal
Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/termcolor
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 import sys from termcolor import colored, cprint text colored('Hello, World!',
'red', attrs['reverse', 'blink']) print(text) cprint('Hello, World!', 'green',
'on_red') print_red_on_cyan lambda x: cprint(x, 'red', 'on_cyan')
print_red_on_cyan('Hello, World!') print_red_on_cyan('Hello, Universe!') for i
in range(10): cprint(i, 'magenta', end' ') cprint("Attention!", 'red',
attrs['bold'],...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 import sys from termcolor import colored, cprint text colored('Hello, World!',
'red', attrs['reverse', 'blink']) print(text) cprint('Hello, World!', 'green',
'on_red') print_red_on_cyan lambda x: cprint(x, 'red', 'on_cyan')
print_red_on_cyan('Hello, World!') print_red_on_cyan('Hello, Universe!') for i
in range(10): cprint(i, 'magenta', end' ') cprint("Attention!", 'red',
attrs['bold'],...


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYING.txt
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-5.mga8
+ Revision: 1531827
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.1.0-4.mga8
+ Revision: 1441247
- submit to core/release

* Sun Sep 15 2019 tv <tv> 1.1.0-3.mga8
+ Revision: 1441235
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.1.0-2.mga7
+ Revision: 1350271
- Rebuild for python 3.7

* Sun Oct 14 2018 shlomif <shlomif> 1.1.0-1.mga7
+ Revision: 1320342
- pyp2rpm

